#ifndef MLPPROBLEM_H
#define MLPPROBLEM_H

#include  "problem.h"
# include "dataset.h"
class MlpProblem : public Problem
{
private:
    Data weight;
    Dataset *data;
public:
    MlpProblem(int n,Dataset *d);
    void    setWeights(Data &w);
    double  funmin(Data &x);
    Data    gradient(Data &x);
    double  sig(double x);
    double  sigder(double x);
    double  getOutput(Data &x);
    Data    getDerivative(Data &x);
    double  getTrainError() ;
    double  getTestError(Dataset *test) ;
    double  getClassTestError(Dataset *test) ;
    ~MlpProblem();
};

#endif // MLPPROBLEM_H
